import re
import werkzeug.urls

from odoo import api, fields, models, tools


class Mailing(models.Model):
    _inherit = 'mailing.mailing'
    operation_id=fields.Many2one('opendons.operation','Operation')
    segment_id=fields.Many2one('opendons.segment','Segment')

    @api.onchange('operation_id')
    def _onchange_operation_id(self):
        res = {}
        res['domain']={'segment_id':[('operation_id', '=', self.operation_id.id)]}
        return res